Skip to main content
post/datasets/{dataset_id}/pipeline/datasource/nodes/{node_id}/run
Request example
Response
post/datasets/{dataset_id}/pipeline/datasource/nodes/{node_id}/run

Authorization

Authorizationstringheaderrequired#

每个请求都通过 API Key 认证:Authorization: Bearer {API_KEY}。应用接口使用应用 API Key,知识库接口使用知识库 API Key(快速开始)。

API Key 应保存在服务端,切勿嵌入客户端代码。缺失或无效的 Key 会返回 HTTP 401(unauthorized)。

Path parameters

dataset_idstringrequired#
知识库 ID,通过 获取知识库列表 获取。使用限定范围的密钥时,从 Dify 页面 URL 复制 ID。
node_idstringrequired#
要运行的数据源节点 ID,来自 获取数据源插件列表。

Body

application/json
credential_idstring#
用于向数据源认证的凭证 ID,来自 获取数据源插件列表 的 credentials 数组。
datasource_typeenum<string>required#
数据源类型。
Options:online_documentlocal_filewebsite_crawlonline_drive
inputsobjectrequired#
数据源节点的输入变量。
is_publishedbooleanrequired#
是否运行节点的已发布版本,而非草稿版本。

Responses

text/event-stream
包含节点执行事件的流式响应。